unit mfkmock;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, mfk3sys, fgl, dateutils;

  function MockListeBuchungEinmalig : specialize TFPGObjectList<TBuchungEinmalig>;

implementation
(*  Mock-Liste von Einmalbuchungen *)
function MockListeBuchungEinmalig: specialize TFPGObjectList<TBuchungEinmalig>;
type
  TListe = specialize TFPGObjectList<TBuchungEinmalig>;
var
  Buchung : TBuchungEinmalig;
  Liste : TListe;
  i: Integer;

begin
  Liste := TListe.Create(True);
  Buchung := TBuchungEinmalig.Create;
  for i := 1 to 5 do begin
    with Buchung do begin
      Name := 'Buchung ' + IntToStr(i);
      Buchungsart:= baAusgabe;
      Zahlungsart:= zaAbbuchung;
      Kategorie := 'Mockbuchung';
      Betrag := 100;
      Bemerkungen := 'Bemerkung ' + IntToStr(i);
      Datum := Today;
      Liste.Add(Buchung);
    end;

  end;


  Result := Liste;

end;

end.

